/**********************************************************************************************/
/* OpenSi : Logiciel SaaS de gestion commerciale et comptabilit spcialis dans l'e-commerce */
/* Copyright (c) - Tous droits rservs - SAS Speedinfo Evolution                             */
/**********************************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/arbres.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");

var aListeModeles;
var aModeleEcriture;

var modeleId;

function init() {
	try {
		// init des variables globales
		modeleId = 0;

		// init de la liste des modeles dispo
  		aListeModeles = new Arbre("Compta/Saisie/listeModele.tmpl","treeModele");
  		aListeModeles.initTree();

  		// init des lignes du modle
  		aModeleEcriture = new Arbre("Compta/Saisie/listeLigne.tmpl","treeLigne");
  		aModeleEcriture.initTree();

	} catch (e) {
		recup_erreur(e);
	}
}

function selectOnTreeModele() {
	try {
 		if (aListeModeles.isSelected()) {
 			var index = aListeModeles.getCurrentIndex();
			modeleId = aListeModeles.getCellText(index,"colModeleId");
			document.getElementById("libelleModele").value = aListeModeles.getCellText(index,"colLibelle");
			document.getElementById("raccourciModele").value = aListeModeles.getCellText(index,"colTextRaccourci");

			aModeleEcriture.clearParams();
			aModeleEcriture.setParam("ModId", modeleId);
			aModeleEcriture.initTree();
		}
	} catch (e) {
		recup_erreur(e);
	}
}

function dblClickOnTreeModele() {
	try {
 		ok();
	} catch (e) {
		recup_erreur(e);
	}
}

function pressOnValider() {
	try {
 		ok();
	} catch (e) {
		recup_erreur(e);
	}
}

function ok() {
	try {
		if (modeleId!=0) {
			window.arguments[0](modeleId);
			window.close();
		} else {
			showWarning("Veuillez s\u00E9lectionner un abonnement !");
		}
	} catch (e) {
		recup_erreur(e);
	}
}

