/**********************************************************************************************/
/* OpenSi : Logiciel SaaS de gestion commerciale et comptabilit spcialis dans l'e-commerce */
/* Copyright (c) - Tous droits rservs - SAS Speedinfo Evolution                             */
/**********************************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/arbres.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/formatter.js");

var is_admin = (ParamValeur("isAdmin") == "true");
var actif = (ParamValeur("Actif") == "1");
var is_new_commercial = (ParamValeur('NewCommercial')=="true");
var identifiant = (!is_new_commercial?ParamValeur('Commercial_Id'):"");

var nf = new NumberFormat("0", false);
var nf2 = new NumberFormat("0.00", false);


function init() {
  try {

  	document.getElementById('bRetourCommercial').collapsed = true;
		document.getElementById('deck').selectedIndex = 0;

		init_infos();

		document.getElementById("tabStatistiques").collapsed=is_new_commercial || !actif;
		document.getElementById("tabHistorique").collapsed=is_new_commercial;

		if (!is_new_commercial) {
			var queryModif = new QueryHttp("Facturation/Commerciaux/infos_modification.tmpl");
      queryModif.setParam("Commercial_Id", identifiant);
			queryModif.execute(init_2);
		}
		else {
			document.getElementById('Creation').setAttribute("label", "");
			document.getElementById('Modification').setAttribute("label", "");
		}

	} catch (e) {
    recup_erreur(e);
  }
}


function init_2(result) {
	try {

		var contenu = result.responseXML.documentElement;

		document.getElementById('Creation').label = "Cr\u00E9\u00E9 le "+ contenu.getAttribute("Date_Creation") +" par "+ contenu.getAttribute("Login_Createur");
		document.getElementById('Modification').label = "Derni\u00E8re modification le "+ contenu.getAttribute("Date_Maj") +" par "+ contenu.getAttribute("Login_Maj");

	} catch(e) {
		recup_erreur(e);
	}
}


function demandeEnregistrement() {
  try {

		if (document.getElementById("Modifie").value=="y") {
			if (window.confirm("Voulez-vous enregistrer les modifications apport\u00E9es aux coordonn\u00E9es du commercial ?")) {
				enregistrerCommercial();
			}
		}

	} catch (e) {
  	recup_erreur(e);
	}
}


function retour_commercial() {
  try {

		document.getElementById('pdf_commission').setAttribute("src", "");
		document.getElementById('deck').selectedIndex = 0;
		document.getElementById('bRetourCommercial').collapsed = true;

  } catch (e) {
    recup_erreur(e);
  }
}


function retourChoixCommercial() {
	try {

    window.location = "chrome://opensi/content/facturation/user/commerciaux/choix_commerciaux.xul?"+ cookie();

	} catch (e) {
    recup_erreur(e);
  }
}


function retourMenuPrincipal() {
	try {

    window.location = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();

	} catch (e) {
    recup_erreur(e);
  }
}
