/**********************************************************************************************/
/* OpenSi : Logiciel SaaS de gestion commerciale et comptabilit spcialis dans l'e-commerce */
/* Copyright (c) - Tous droits rservs - SAS Speedinfo Evolution                             */
/**********************************************************************************************/

jsLoader.loadSubScript("chrome://opensi/content/libs/arbres.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");


var docId;
var typeDoc;
var modeEnvoiInitial;

function init() {
	try {

		window.resizeTo(300,160);
		docId = window.arguments[1];
		typeDoc = window.arguments[2];

		var qGetModeEnvoi = new QueryHttp("Facturation/Envoi_Factures/getModeEnvoi.tmpl");
		qGetModeEnvoi.setParam("Doc_Id", docId);
		qGetModeEnvoi.setParam("Type_Doc", typeDoc);
		var result = qGetModeEnvoi.execute();
		modeEnvoiInitial = result.responseXML.documentElement.getAttribute("Mode_Envoi");
		document.getElementById('modeEnvoi').value = modeEnvoiInitial;

	} catch (e) {
		recup_erreur(e);
	}
}



function valider() {
	try {
		var modeEnvoi = document.getElementById('modeEnvoi').value;
		if (modeEnvoi != modeEnvoiInitial) {
			var qEnregistrer = new QueryHttp("Facturation/Envoi_Factures/modifierModeEnvoi.tmpl");
			qEnregistrer.setParam("Doc_Id", docId);
			qEnregistrer.setParam("Type_Doc", typeDoc);
			qEnregistrer.setParam("Mode_Envoi", modeEnvoi);
			qEnregistrer.execute();
			window.arguments[0]();
		}
		window.close();
	} catch (e) {
		recup_erreur(e);
	}
}
