/**********************************************************************************************/
/* OpenSi : Logiciel SaaS de gestion commerciale et comptabilit spcialis dans l'e-commerce */
/* Copyright (c) - Tous droits rservs - SAS Speedinfo Evolution                             */
/**********************************************************************************************/


var oss_aFamille1 = new Arbre('ComboListe/combo-famillesArticle.tmpl', 'oss-famille1');
var oss_aFamille2 = new Arbre('ComboListe/combo-famillesArticle.tmpl', 'oss-famille2');
var oss_aFamille3 = new Arbre('ComboListe/combo-famillesArticle.tmpl', 'oss-famille3');
var oss_aMarques = new Arbre("ComboListe/combo-marquesArticle.tmpl","oss-marque");





function oss_initSupSpecif() {
	try {

		oss_aFamille1.initTree(oss_initFamille1);

	}	catch(e){
		recup_erreur(e);
	}
}


function oss_initFamille1() {
  try {

		document.getElementById('oss-famille1').selectedIndex = 0;
		oss_aMarques.initTree(oss_initMarques);

	} catch (e) {
		recup_erreur(e);
	}
}


function oss_initMarques() {
	try {

		document.getElementById("oss-marque").selectedIndex = 0;

	} catch (e) {
		recup_erreur(e);
	}
}


function oss_chargerFamilles2() {
	try {

		if (!isEmpty(document.getElementById('oss-famille1').value)) {
			oss_aFamille2.setParam('Parent_Id', document.getElementById('oss-famille1').value);
			oss_aFamille2.initTree(oss_initFamille2);
		}
		else {
			oss_aFamille2.deleteTree();
			oss_initFamille2();
		}

		oss_initFamille3();

	} catch (e) {
		recup_erreur(e);
	}
}


function oss_initFamille2() {
  try {

		document.getElementById('oss-famille2').selectedIndex = 0;

	} catch (e) {
		recup_erreur(e);
	}
}


function oss_chargerFamilles3() {
	try {

		if (!isEmpty(document.getElementById('oss-famille2').value)) {
			oss_aFamille3.setParam('Parent_Id', document.getElementById('oss-famille2').value);
			oss_aFamille3.initTree(oss_initFamille3);
		}
		else {
			oss_aFamille3.deleteTree();
			oss_initFamille3();
		}

	} catch (e) {
		recup_erreur(e);
	}
}


function oss_initFamille3() {
  try {

		document.getElementById('oss-famille3').selectedIndex = 0;

	} catch (e) {
		recup_erreur(e);
	}
}


function oss_supprimerTarifsSpec() {
	try {

		if (window.confirm("Les tarifs sp\u00E9cifiques de la s\u00E9lection vont \u00EAtre d\u00E9finitivement supprim\u00E9s. Voulez-vous continuer ?")) {

			var marque = document.getElementById('oss-marque').value;
			var famille1 = document.getElementById('oss-famille1').value;
			var famille2 = document.getElementById('oss-famille2').value;
			var famille3 = document.getElementById('oss-famille3').value;

			var qDelete = new QueryHttp("Facturation/MajTarifs/supprimerTarifsSpec.tmpl");
			qDelete.setParam("Marque_Id", marque);
			qDelete.setParam("Famille_1", famille1);
			qDelete.setParam("Famille_2", famille2);
			qDelete.setParam("Famille_3", famille3);
			qDelete.execute();

			showWarning("Les tarifs sp\u00E9cifiques de la s\u00E9lection ont \u00E9t\u00E9 supprim\u00E9s");
		}

	} catch (e) {
		recup_erreur(e);
	}
}
