/**********************************************************************************************/
/* OpenSi : Logiciel SaaS de gestion commerciale et comptabilit spcialis dans l'e-commerce */
/* Copyright (c) - Tous droits rservs - SAS Speedinfo Evolution                             */
/**********************************************************************************************/

/*
 * Configuration dossier
 */


jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");



function Config() {

	var qGetConfig = new QueryHttp("Commun/getConfig.tmpl");
	var result = qGetConfig.execute();

	var contenu = result.responseXML.documentElement;

	this.modeTarif = contenu.getAttribute("Mode_Tarif");
	this.impNomFiche = contenu.getAttribute("Imp_Nom_Fiche")=="true";
	this.impNomOF = contenu.getAttribute("Imp_Nom_OF")=="true";
	this.impNomFacture = contenu.getAttribute("Imp_Nom_Facture")=="true";
	this.impNomBon = contenu.getAttribute("Imp_Nom_Bon")=="true";
	this.impNomBP = contenu.getAttribute("Imp_Nom_BP")=="true";
	this.impNomDevis = contenu.getAttribute("Imp_Nom_Devis")=="true";
	this.impDesc1Fiche = contenu.getAttribute("Imp_Desc1_Fiche")=="true";
	this.impDesc1OF = contenu.getAttribute("Imp_Desc1_OF")=="true";
	this.impDesc1Facture = contenu.getAttribute("Imp_Desc1_Facture")=="true";
	this.impDesc1Bon = contenu.getAttribute("Imp_Desc1_Bon")=="true";
	this.impDesc1Devis = contenu.getAttribute("Imp_Desc1_Devis")=="true";
	this.impDesc1BP = contenu.getAttribute("Imp_Desc1_BP")=="true";
	this.impDesc1BCF = contenu.getAttribute("Imp_Desc1_BCF")=="true";
	this.impDesc2Fiche = contenu.getAttribute("Imp_Desc2_Fiche")=="true";
	this.impDesc2OF = contenu.getAttribute("Imp_Desc2_OF")=="true";
	this.impDesc2Facture = contenu.getAttribute("Imp_Desc2_Facture")=="true";
	this.impDesc2Bon = contenu.getAttribute("Imp_Desc2_Bon")=="true";
	this.impDesc2Devis = contenu.getAttribute("Imp_Desc2_Devis")=="true";
	this.impDesc2BP = contenu.getAttribute("Imp_Desc2_BP")=="true";
	this.impDesc2BCF = contenu.getAttribute("Imp_Desc2_BCF")=="true";
	this.venteTTC = contenu.getAttribute("Vente_TTC")=="true";
	this.blChiffre = contenu.getAttribute("BL_Chiffre")=="true";
	this.brChiffre = contenu.getAttribute("BR_Chiffre")=="true";
	this.calculStock = contenu.getAttribute("Calcul_Stock")=="true";
	this.actCodeStats = contenu.getAttribute("Act_Code_Stats")=="true";
	this.actSuiviLot = contenu.getAttribute("Act_Suivi_Lot")=="true";
	this.actNbPieces = contenu.getAttribute("Act_Nb_Pieces")=="true";
	this.actUnites = contenu.getAttribute("Act_Unites")=="true";
	this.actSuiviSerie = contenu.getAttribute("Act_Suivi_Serie")=="true";
	this.actDispoFour = contenu.getAttribute("Act_Dispo_Four")=="true";
	this.niveauObligationIntro = contenu.getAttribute("Niveau_Obligation_Intro");
	this.defModeFacturation = contenu.getAttribute("Def_Mode_Facturation");
	this.defFactAvantLiv = contenu.getAttribute("Def_Fact_Avant_Liv")=="true";
	this.defPeriodeFacturation = contenu.getAttribute("Def_Periode_Facturation");
	this.defModeEnvoiFacture = contenu.getAttribute("Def_Mode_Envoi_Facture");
	this.modeTraitement = contenu.getAttribute("Mode_Traitement");
	this.defEtatRechCom = contenu.getAttribute("Def_Etat_Rech_Com");
	this.defEtatRechLog = contenu.getAttribute("Def_Etat_Rech_Log");
	this.defEtatRechComFour = contenu.getAttribute("Def_Etat_Rech_Com_Four");
	this.formatNC = contenu.getAttribute("Format_NC");
	this.formatNF = contenu.getAttribute("Format_NF");
	this.formatNA = contenu.getAttribute("Format_NA");
	this.formatNL = contenu.getAttribute("Format_NL");
	this.etapePickingBLCC = contenu.getAttribute("Etape_Picking_BL_CC")=="true";
	this.etapePickingBLTS = contenu.getAttribute("Etape_Picking_BL_TS")=="true";
	this.etapePrepaBLCC = contenu.getAttribute("Etape_Prepa_BL_CC")=="true";
	this.etapePrepaBLTS = contenu.getAttribute("Etape_Prepa_BL_TS")=="true";
	this.etapePrepaBLRF = contenu.getAttribute("Etape_Prepa_BL_RF")=="true";
	this.etapePrepaOL = contenu.getAttribute("Etape_Prepa_OL")=="true";
	this.etapePrepaLF = contenu.getAttribute("Etape_Prepa_LF")=="true";
	this.alerteEncoursClient = contenu.getAttribute("Alerte_Encours_Client")=="true";
	this.defModeExpedition = contenu.getAttribute("Def_Mode_Expedition");
	this.gacDefRegleExpedition = contenu.getAttribute("GAC_Def_Regle_Expedition");
	this.defModeReglementC = contenu.getAttribute("Def_Mode_Reglement_C");
	this.defModeReglementF = contenu.getAttribute("Def_Mode_Reglement_F");
	this.urlCTCControler = contenu.getAttribute("Url_CTC_Controler");
	this.exlProvenance = contenu.getAttribute("EXL_Provenance");
	this.exlBacPrepa = contenu.getAttribute("EXL_Bac_Prepa")=="true";
	this.exlConfirmation = contenu.getAttribute("EXL_Confirmation")=="true";
	this.exlConfig = contenu.getAttribute("EXL_Config");
	this.gacEditBP = contenu.getAttribute("GAC_Edit_BP")=="true";
	this.gacEditCF = contenu.getAttribute("GAC_Edit_CF")=="true";
	this.gacEditLF = contenu.getAttribute("GAC_Edit_LF")=="true";
	this.gacProposerRbt = contenu.getAttribute("GAC_Proposer_Rbt")=="true";
	this.gacProvenance = contenu.getAttribute("GAC_Provenance");
	this.gacDefFiltreEtab = contenu.getAttribute("GAC_Def_Filtre_Etab");
	this.gacEtatPaiement = contenu.getAttribute("GAC_Etat_Paiement");
	this.exlEtatPaiement = contenu.getAttribute("EXL_Etat_Paiement");
	this.defModaliteC = contenu.getAttribute("Def_Modalite_C");
	this.defModaliteF = contenu.getAttribute("Def_Modalite_F");
	this.methodeColisage = contenu.getAttribute("Methode_Colisage");
	this.colisageAuto = contenu.getAttribute("Colisage_Auto")=="true";
	this.pexAvoidChk = contenu.getAttribute("PEX_Avoid_Chk")=="true";
	this.pexEditBL = contenu.getAttribute("PEX_Edit_BL")=="true";
	this.pexEditFC = contenu.getAttribute("PEX_Edit_FC")=="true";
	this.pexQRCode = contenu.getAttribute("PEX_QR_Code")=="true";
	this.rclQRCode = contenu.getAttribute("RCL_QR_Code")=="true";
	this.actDepotLigneCC = contenu.getAttribute("Act_Depot_Ligne_CC")=="true";
	this.cfChiffre = contenu.getAttribute("CF_Chiffre")=="true";
	this.pexEnvoiDocFTP = contenu.getAttribute("PEX_Envoi_Doc_FTP")=="true";
	this.modeClotureFact = contenu.getAttribute("Mode_Cloture_Fact");
	this.tbComptaLotPre = contenu.getAttribute("TB_Compta_Lot_Pre")=="true";
	this.tbComptaLotVir = contenu.getAttribute("TB_Compta_Lot_Vir")=="true";
	this.gacEnvoiTransFTP = contenu.getAttribute("GAC_Envoi_Trans_FTP")=="true";
	this.gtsEnvoiTransFTP = contenu.getAttribute("GTS_Envoi_Trans_FTP")=="true";
	this.grfEnvoiTransFTP = contenu.getAttribute("GRF_Envoi_Trans_FTP")=="true";
	this.exlExpediable = contenu.getAttribute("EXL_Expediable");
	this.extExpediable = contenu.getAttribute("EXT_Expediable");
	this.bloquerBLSansStock = contenu.getAttribute("Bloquer_BL_Sans_Stock")=="true";
	this.actReassortCC = contenu.getAttribute("Act_Reassort_CC")=="true";
	this.numAutoCompteClient = contenu.getAttribute("Num_Auto_Compte_Client")=="true";
	this.numAutoCompteFourn = contenu.getAttribute("Num_Auto_Compte_Fourn")=="true";
	this.actDevisWeb = contenu.getAttribute("Act_Devis_Web")=="true";
	this.gcfEtiqArticle = contenu.getAttribute("GCF_Etiq_Article")=="true";
	this.gacCoutTrans = contenu.getAttribute("GAC_Cout_Trans")=="true";
	this.ordreTriBR = contenu.getAttribute("Ordre_Tri_BR");
	this.gcfCdeArtFab = contenu.getAttribute("GCF_Cde_Art_Fab")=="true";
	this.uniteVolume = contenu.getAttribute("Unite_Volume");
	this.symboleUniteVolume = contenu.getAttribute("Symbole_Unite_Volume");
	this.uniteDimensions = contenu.getAttribute("Unite_Dimensions");
	this.unitePoids = contenu.getAttribute("Unite_Poids");
	this.uniteDefaut = contenu.getAttribute("Unite_Defaut");
	this.symboleUnitePoids = contenu.getAttribute("Symbole_Unite_Poids");
	this.soldeAutoCC = contenu.getAttribute("Solde_Auto_CC")=="true";
	this.rcfNumBLOblig = contenu.getAttribute("RCF_Num_BL_Oblig")=="true";
	this.eCommerce = contenu.getAttribute("ECommerce");
	this.actAnalytique = contenu.getAttribute("Act_Analytique")=="true";
	this.rappelAutoSaisie = contenu.getAttribute("Rappel_Auto_Saisie")=="true";
	this.aideSaisieDate = contenu.getAttribute("Aide_Saisie_Date")=="true";
	this.gcfDateRecepLigne = contenu.getAttribute("GCF_Date_Recep_Ligne")=="true";
	this.gacAutNonFacturable = contenu.getAttribute("GAC_Aut_Non_Facturable")=="true";
	this.gacStatutArchive = contenu.getAttribute("GAC_Statut_Archive")=="true";
	this.gdtElementAModifier = contenu.getAttribute("GDT_Element_A_Modifier");
	this.gdtTarifImpacte = contenu.getAttribute("GDT_Tarif_Impacte");
	this.gcfDateLivLigne = contenu.getAttribute("GCF_Date_Liv_Ligne")=="true";
	this.gcfDateLivraison = contenu.getAttribute("GCF_Date_Livraison")=="true";
	this.exlGroupementClient = contenu.getAttribute("EXL_Groupement_Client")=="true";
	this.exlPrefillDateExp = contenu.getAttribute("EXL_Prefill_Date_Exp")=="true";
	this.ecdPrefillDateExp = contenu.getAttribute("ECD_Prefill_Date_Exp")=="true";
	this.mwmPickingRefBac = contenu.getAttribute("MWM_Picking_Ref_Bac")=="true";
	this.showFax = contenu.getAttribute("Show_Fax")=="true";
	this.tracabiliteNLFF = contenu.getAttribute("Tracabilite_NL_FF")=="true";
	this.tracabiliteNSFF = contenu.getAttribute("Tracabilite_NS_FF")=="true";
	this.mailExpUtil = contenu.getAttribute("Mail_Exp_Util")=="true";
	this.rfChiffre = contenu.getAttribute("RF_Chiffre")=="true";
	this.actEmplacements = contenu.getAttribute("Act_Emplacements")=="true";
	this.gacDropPossibleAuto = contenu.getAttribute("GAC_Drop_Possible_Auto")=="true";
	this.actCrossDock = contenu.getAttribute("Act_Cross_Dock")=="true";
	this.autDeductionFC = contenu.getAttribute("Aut_Deduction_FC")=="true";
	this.etiquetteArticle = contenu.getAttribute("Etiquette_Article");
	this.etiquetteLot = contenu.getAttribute("Etiquette_Lot");
	this.gacCreneauLivraison = contenu.getAttribute("GAC_Creneau_Livraison")=="true";
	this.modeRappro = contenu.getAttribute("Mode_Rappro");
	this.histoAvantValidDC = contenu.getAttribute("Histo_Avant_Valid_DC")=="true";
	this.histoAvantValidCC = contenu.getAttribute("Histo_Avant_Valid_CC")=="true";
	this.histoAvantValidCF = contenu.getAttribute("Histo_Avant_Valid_CF")=="true";
	this.gacDateExpLigne = contenu.getAttribute("GAC_Date_Exp_Ligne")=="true";
	this.gacAlerteDoublonLigne = contenu.getAttribute("GAC_Alerte_Doublon_Ligne")=="true";
	this.tarifDefaut = contenu.getAttribute("Tarif_Defaut");
	this.gtsDateExpLigne = contenu.getAttribute("GTS_Date_Exp_Ligne")=="true";
	this.gtsDateRecLigne = contenu.getAttribute("GTS_Date_Rec_Ligne")=="true";
	this.gacPropSubstitution = contenu.getAttribute("GAC_Prop_Substitution")=="true";
	this.mwmPEXColisage = contenu.getAttribute("MWM_PEX_Colisage")=="true";
	this.mwmPEXImpEtiq = contenu.getAttribute("MWM_PEX_Imp_Etiq")=="true";
	this.pexAlerteNP = contenu.getAttribute("PEX_Alerte_NP")=="true";
	this.gacAlerteNPBP = contenu.getAttribute("GAC_Alerte_NP_BP")=="true";
	this.gacRemainAfterValCC = contenu.getAttribute("GAC_Remain_After_Val_CC")=="true";
	this.exlEditEtiqExp = contenu.getAttribute("EXL_Edit_Etiq_Exp")=="true";
	this.extEditEtiqExp = contenu.getAttribute("EXT_Edit_Etiq_Exp")=="true";

	this.compteClients = contenu.getAttribute("Compte_Clients");
	this.journalAchat = contenu.getAttribute("Journal_Achat");
	this.journalVente = contenu.getAttribute("Journal_Vente");
	this.journalAcompteAC = contenu.getAttribute("Journal_Acompte_AC");
	this.journalAcompteVE = contenu.getAttribute("Journal_Acompte_VE");
	this.journalRegul = contenu.getAttribute("Journal_Regul");

	this.specREOF = contenu.getAttribute("Spec_RE_OF")=="true";
	this.specREDS = contenu.getAttribute("Spec_RE_DS")=="true";
	this.specREERC = contenu.getAttribute("Spec_RE_ERC")=="true";
	this.specSL = contenu.getAttribute("Spec_SL")=="true";
	this.specPCAME = contenu.getAttribute("Spec_PC_AME")=="true";
	this.specPCAFP = contenu.getAttribute("Spec_PC_AFP")=="true";
	this.specPCEFU = contenu.getAttribute("Spec_PC_EFU")=="true";
	this.specPCCET = contenu.getAttribute("Spec_PC_CET")=="true";
	this.specSMEAR = contenu.getAttribute("Spec_SM_EAR")=="true";
	this.specSMCAR = contenu.getAttribute("Spec_SM_CAR")=="true";
	this.specCMBL = contenu.getAttribute("Spec_CM_BL")=="true";
	this.specRMLAR = contenu.getAttribute("Spec_RM_LAR")=="true";
	this.specDTDE = contenu.getAttribute("Spec_DT_DE")=="true";
	this.specTKPA = contenu.getAttribute("Spec_TK_PA")=="true";
	this.specTKVS = contenu.getAttribute("Spec_TK_VS")=="true";
	this.specKECB = contenu.getAttribute("Spec_KE_CB")=="true";
	this.specKEESK = contenu.getAttribute("Spec_KE_ESK")=="true";
	this.specTRICS = contenu.getAttribute("Spec_TRI_CS")=="true";
	this.specHMLBP = contenu.getAttribute("Spec_HM_LBP")=="true";
	this.specHMBEP = contenu.getAttribute("Spec_HM_BEP")=="true";
	this.specAGMRS = contenu.getAttribute("Spec_AGM_RS")=="true";
	this.specLHFNP = contenu.getAttribute("Spec_LH_FNP")=="true";
	this.specLHELE = contenu.getAttribute("Spec_LH_ELE")=="true";
	this.specLHCFF = contenu.getAttribute("Spec_LH_CFF")=="true";
	this.specHLSRR = contenu.getAttribute("Spec_HL_SRR")=="true";
	this.specLNSL = contenu.getAttribute("Spec_LN_SL")=="true";
	this.specEDEFV = contenu.getAttribute("Spec_ED_EFV")=="true";
	this.specILNFW = contenu.getAttribute("Spec_IL_NFW")=="true";
	this.specLMECR = contenu.getAttribute("Spec_LM_ECR")=="true";
	this.specCIMPO = contenu.getAttribute("Spec_CIM_PO")=="true";
	this.specNSCBP = contenu.getAttribute("Spec_NS_CBP")=="true";
	this.specLCAGGC = contenu.getAttribute("Spec_LCA_GGC")=="true";
	this.specPVDTMC = contenu.getAttribute("Spec_PVD_TMC")=="true";
	this.specLHCNV = contenu.getAttribute("Spec_LH_CNV")=="true";
	this.specLHGFC = contenu.getAttribute("Spec_LH_GFC")=="true";
	this.specBECME = contenu.getAttribute("Spec_BE_CME")=="true";
	this.specHMDNP = contenu.getAttribute("Spec_HM_DNP")=="true";
}


Config.prototype.getModeTarif = function() { return this.modeTarif; }
Config.prototype.isImpNomFiche = function() { return this.impNomFiche; }
Config.prototype.isImpNomOF = function() { return this.impNomOF; }
Config.prototype.isImpNomFacture = function() { return this.impNomFacture; }
Config.prototype.isImpNomBon = function() { return this.impNomBon; }
Config.prototype.isImpNomBP = function() { return this.impNomBP; }
Config.prototype.isImpNomDevis = function() { return this.impNomDevis; }
Config.prototype.isImpDesc1Fiche = function() { return this.impDesc1Fiche; }
Config.prototype.isImpDesc1OF = function() { return this.impDesc1OF; }
Config.prototype.isImpDesc1Facture = function() { return this.impDesc1Facture; }
Config.prototype.isImpDesc1Bon = function() { return this.impDesc1Bon; }
Config.prototype.isImpDesc1Devis = function() { return this.impDesc1Devis; }
Config.prototype.isImpDesc1BP = function() { return this.impDesc1BP; }
Config.prototype.isImpDesc1BCF = function() { return this.impDesc1BCF; }
Config.prototype.isImpDesc2Fiche = function() { return this.impDesc2Fiche; }
Config.prototype.isImpDesc2OF = function() { return this.impDesc2OF; }
Config.prototype.isImpDesc2Facture = function() { return this.impDesc2Facture; }
Config.prototype.isImpDesc2Bon = function() { return this.impDesc2Bon; }
Config.prototype.isImpDesc2Devis = function() { return this.impDesc2Devis; }
Config.prototype.isImpDesc2BP = function() { return this.impDesc2BP; }
Config.prototype.isImpDesc2BCF = function() { return this.impDesc2BCF; }
Config.prototype.isVenteTTC = function() { return this.venteTTC; }
Config.prototype.isBLChiffre = function() { return this.blChiffre; }
Config.prototype.isBRChiffre = function() { return this.brChiffre; }
Config.prototype.isCalculStock = function() { return this.calculStock; }
Config.prototype.isActCodeStats = function() { return this.actCodeStats; }
Config.prototype.isActSuiviLot = function() { return this.actSuiviLot; }
Config.prototype.isActNbPieces = function() { return this.actNbPieces; }
Config.prototype.isActUnites = function() { return this.actUnites; }
Config.prototype.isActSuiviSerie = function() { return this.actSuiviSerie; }
Config.prototype.isActDispoFour = function() { return this.actDispoFour; }
Config.prototype.getNiveauObligationIntro = function() { return this.niveauObligationIntro; }
Config.prototype.getDefModeFacturation = function() { return this.defModeFacturation; }
Config.prototype.getDefFactAvantLiv = function() { return this.defFactAvantLiv; }
Config.prototype.getDefPeriodeFacturation = function() { return this.defPeriodeFacturation; }
Config.prototype.getDefModeEnvoiFacture = function() { return this.defModeEnvoiFacture; }
Config.prototype.getModeTraitement = function() { return this.modeTraitement; }
Config.prototype.getDefEtatRechCom = function() { return this.defEtatRechCom; }
Config.prototype.getDefEtatRechLog = function() { return this.defEtatRechLog; }
Config.prototype.getDefEtatRechComFour = function() { return this.defEtatRechComFour; }
Config.prototype.getFormatNC = function() { return this.formatNC; }
Config.prototype.getFormatNF = function() { return this.formatNF; }
Config.prototype.getFormatNA = function() { return this.formatNA; }
Config.prototype.getFormatNL = function() { return this.formatNL; }
Config.prototype.isEtapePickingBLCC = function() { return this.etapePickingBLCC; }
Config.prototype.isEtapePickingBLTS = function() { return this.etapePickingBLTS; }
Config.prototype.isEtapePrepaBLCC = function() { return this.etapePrepaBLCC; }
Config.prototype.isEtapePrepaBLTS = function() { return this.etapePrepaBLTS; }
Config.prototype.isEtapePrepaBLRF = function() { return this.etapePrepaBLRF; }
Config.prototype.isEtapePrepaOL = function() { return this.etapePrepaOL; }
Config.prototype.isEtapePrepaLF = function() { return this.etapePrepaLF; }
Config.prototype.isAlerteEncoursClient = function() { return this.alerteEncoursClient; }
Config.prototype.getDefModeExpedition = function() { return this.defModeExpedition; }
Config.prototype.getGACDefRegleExpedition = function() { return this.gacDefRegleExpedition; }
Config.prototype.getDefModeReglementC = function() { return this.defModeReglementC; }
Config.prototype.getDefModeReglementF = function() { return this.defModeReglementF; }
Config.prototype.getUrlCTCControler = function() { return this.urlCTCControler; }
Config.prototype.getEXLProvenance = function() { return this.exlProvenance; }
Config.prototype.isEXLBacPrepa = function() { return this.exlBacPrepa; }
Config.prototype.isEXLConfirmation = function() { return this.exlConfirmation; }
Config.prototype.getEXLConfig = function() { return this.exlConfig; }
Config.prototype.isGACEditBP = function() { return this.gacEditBP; }
Config.prototype.isGACEditCF = function() { return this.gacEditCF; }
Config.prototype.isGACEditLF = function() { return this.gacEditLF; }
Config.prototype.isGACProposerRbt = function() { return this.gacProposerRbt; }
Config.prototype.getGACProvenance = function() { return this.gacProvenance; }
Config.prototype.getGACDefFiltreEtab = function() { return this.gacDefFiltreEtab; }
Config.prototype.getGACEtatPaiement = function() { return this.gacEtatPaiement; }
Config.prototype.getEXLEtatPaiement = function() { return this.exlEtatPaiement; }
Config.prototype.getDefModaliteC = function() { return this.defModaliteC; }
Config.prototype.getDefModaliteF = function() { return this.defModaliteF; }
Config.prototype.getMethodeColisage = function() { return this.methodeColisage; }
Config.prototype.isColisageAuto = function() { return this.colisageAuto; }
Config.prototype.isPEXAvoidChk = function() { return this.pexAvoidChk; }
Config.prototype.isPEXEditBL = function() { return this.pexEditBL; }
Config.prototype.isPEXEditFC = function() { return this.pexEditFC; }
Config.prototype.isPEXQRCode = function() { return this.pexQRCode; }
Config.prototype.isRCLQRCode = function() { return this.rclQRCode; }
Config.prototype.isActDepotLigneCC = function() { return this.actDepotLigneCC; }
Config.prototype.isCFChiffre = function() { return this.cfChiffre; }
Config.prototype.isPEXEnvoiDocFTP = function() { return this.pexEnvoiDocFTP; }
Config.prototype.getModeClotureFact = function() { return this.modeClotureFact; }
Config.prototype.isTBComptaLotPre = function() { return this.tbComptaLotPre; }
Config.prototype.isTBComptaLotVir = function() { return this.tbComptaLotVir; }
Config.prototype.isGACEnvoiTransFTP = function() { return this.gacEnvoiTransFTP; }
Config.prototype.isGTSEnvoiTransFTP = function() { return this.gtsEnvoiTransFTP; }
Config.prototype.isGRFEnvoiTransFTP = function() { return this.grfEnvoiTransFTP; }
Config.prototype.getEXLExpediable = function() { return this.exlExpediable; }
Config.prototype.getEXTExpediable = function() { return this.extExpediable; }
Config.prototype.isBloquerBLSansStock = function() { return this.bloquerBLSansStock; }
Config.prototype.isActReassortCC = function() { return this.actReassortCC; }
Config.prototype.isNumAutoCompteClient = function() { return this.numAutoCompteClient; }
Config.prototype.isNumAutoCompteFourn = function() { return this.numAutoCompteFourn; }
Config.prototype.isActDevisWeb = function() { return this.actDevisWeb; }
Config.prototype.isGCFEtiqArticle = function() { return this.gcfEtiqArticle; }
Config.prototype.isGACCoutTrans = function() { return this.gacCoutTrans; }
Config.prototype.getOrdreTriBR = function() { return this.ordreTriBR; }
Config.prototype.isGCFCdeArtFab = function() { return this.gcfCdeArtFab; }
Config.prototype.getUniteVolume = function() { return this.uniteVolume; }
Config.prototype.getSymboleUniteVolume = function() { return this.symboleUniteVolume; }
Config.prototype.getUniteDimensions = function() { return this.uniteDimensions; }
Config.prototype.getUnitePoids = function() { return this.unitePoids; }
Config.prototype.getUniteDefaut = function() { return this.uniteDefaut; }
Config.prototype.getSymboleUnitePoids = function() { return this.symboleUnitePoids; }
Config.prototype.isSoldeAutoCC = function() { return this.soldeAutoCC; }
Config.prototype.isRCFNumBLOblig = function() { return this.rcfNumBLOblig; }
Config.prototype.isECommerce = function() { return this.eCommerce; }
Config.prototype.isActAnalytique = function() { return this.actAnalytique; }
Config.prototype.isRappelAutoSaisie = function() { return this.rappelAutoSaisie; }
Config.prototype.isAideSaisieDate = function() { return this.aideSaisieDate; }
Config.prototype.isGCFDateRecepLigne = function() { return this.gcfDateRecepLigne; }
Config.prototype.isGACAutNonFacturable = function() { return this.gacAutNonFacturable; }
Config.prototype.isGACStatutArchive = function() { return this.gacStatutArchive; }
Config.prototype.getGDTElementAModifier = function() { return this.gdtElementAModifier; }
Config.prototype.getGDTTarifImpacte = function() { return this.gdtTarifImpacte; }
Config.prototype.isGCFDateLivLigne = function() { return this.gcfDateLivLigne; }
Config.prototype.isGCFDateLivraison = function() { return this.gcfDateLivraison; }
Config.prototype.isEXLGroupementClient = function() { return this.exlGroupementClient; }
Config.prototype.isEXLPrefillDateExp = function() { return this.exlPrefillDateExp; }
Config.prototype.isECDPrefillDateExp = function() { return this.ecdPrefillDateExp; }
Config.prototype.isMWMPickingRefBac = function() { return this.mwmPickingRefBac; }
Config.prototype.isShowFax = function() { return this.showFax; }
Config.prototype.isTracabiliteNLFF = function() { return this.tracabiliteNLFF; }
Config.prototype.isTracabiliteNSFF = function() { return this.tracabiliteNSFF; }
Config.prototype.isMailExpUtil = function() { return this.mailExpUtil; }
Config.prototype.isRFChiffre = function() { return this.rfChiffre; }
Config.prototype.isActEmplacements = function() { return this.actEmplacements; }
Config.prototype.isGACDropPossibleAuto = function() { return this.gacDropPossibleAuto; }
Config.prototype.isActCrossDock = function() { return this.actCrossDock; }
Config.prototype.isAutDeductionFC = function() { return this.autDeductionFC; }
Config.prototype.getEtiquetteArticle = function() { return this.etiquetteArticle; }
Config.prototype.getEtiquetteLot = function() { return this.etiquetteLot; }
Config.prototype.isGACCreneauLivraison = function() { return this.gacCreneauLivraison; }
Config.prototype.getModeRappro = function() { return this.modeRappro; }
Config.prototype.isHistoAvantValidDC = function() { return this.histoAvantValidDC; }
Config.prototype.isHistoAvantValidCC = function() { return this.histoAvantValidCC; }
Config.prototype.isHistoAvantValidCF = function() { return this.histoAvantValidCF; }
Config.prototype.isGACDateExpLigne = function() { return this.gacDateExpLigne; }
Config.prototype.isGACAlerteDoublonLigne = function() { return this.gacAlerteDoublonLigne; }
Config.prototype.getTarifDefaut = function() { return this.tarifDefaut; }
Config.prototype.isGTSDateExpLigne = function() { return this.gtsDateExpLigne; }
Config.prototype.isGTSDateRecLigne = function() { return this.gtsDateRecLigne; }
Config.prototype.isGACPropSubstitution = function() { return this.gacPropSubstitution; }
Config.prototype.isMWMPEXColisage = function() { return this.mwmPEXColisage; }
Config.prototype.isMWMPEXImpEtiq = function() { return this.mwmPEXImpEtiq; }
Config.prototype.isPEXAlerteNP = function() { return this.pexAlerteNP; }
Config.prototype.isGACAlerteNPBP = function() { return this.gacAlerteNPBP; }
Config.prototype.isGACRemainAfterValCC = function() { return this.gacRemainAfterValCC; }
Config.prototype.isEXLEditEtiqExp = function() { return this.exlEditEtiqExp; }
Config.prototype.isEXTEditEtiqExp = function() { return this.extEditEtiqExp; }

Config.prototype.getCompteClients = function() { return this.compteClients; }
Config.prototype.getJournalAchat = function() { return this.journalAchat; }
Config.prototype.getJournalVente = function() { return this.journalVente; }
Config.prototype.getJournalAcompteAC = function() { return this.journalAcompteAC; }
Config.prototype.getJournalAcompteVE = function() { return this.journalAcompteVE; }
Config.prototype.getJournalRegul = function() { return this.journalRegul; }

Config.prototype.isSpecREOF = function() { return this.specREOF; }
Config.prototype.isSpecREDS = function() { return this.specREDS; }
Config.prototype.isSpecREERC = function() { return this.specREERC; }
Config.prototype.isSpecSL = function() { return this.specSL; }
Config.prototype.isSpecPCAME = function() { return this.specPCAME; }
Config.prototype.isSpecPCAFP = function() { return this.specPCAFP; }
Config.prototype.isSpecPCEFU = function() { return this.specPCEFU; }
Config.prototype.isSpecPCCET = function() { return this.specPCCET; }
Config.prototype.isSpecSMEAR = function() { return this.specSMEAR; }
Config.prototype.isSpecSMCAR = function() { return this.specSMCAR; }
Config.prototype.isSpecCMBL = function() { return this.specCMBL; }
Config.prototype.isSpecRMLAR = function() { return this.specRMLAR; }
Config.prototype.isSpecDTDE = function() { return this.specDTDE; }
Config.prototype.isSpecTKPA = function() { return this.specTKPA; }
Config.prototype.isSpecTKVS = function() { return this.specTKVS; }
Config.prototype.isSpecKECB = function() { return this.specKECB; }
Config.prototype.isSpecKEESK = function() { return this.specKEESK; }
Config.prototype.isSpecTRICS = function() { return this.specTRICS; }
Config.prototype.isSpecHMLBP = function() { return this.specHMLBP; }
Config.prototype.isSpecHMBEP = function() { return this.specHMBEP; }
Config.prototype.isSpecAGMRS = function() { return this.specAGMRS; }
Config.prototype.isSpecLHFNP = function() { return this.specLHFNP; }
Config.prototype.isSpecLHELE = function() { return this.specLHELE; }
Config.prototype.isSpecLHCFF = function() { return this.specLHCFF; }
Config.prototype.isSpecHLSRR = function() { return this.specHLSRR; }
Config.prototype.isSpecLNSL = function() { return this.specLNSL; }
Config.prototype.isSpecEDEFV = function() { return this.specEDEFV; }
Config.prototype.isSpecILNFW = function() { return this.specILNFW; }
Config.prototype.isSpecLMECR = function() { return this.specLMECR; }
Config.prototype.isSpecCIMPO = function() { return this.specCIMPO; }
Config.prototype.isSpecNSCBP = function() { return this.specNSCBP; }
Config.prototype.isSpecLCAGGC = function() { return this.specLCAGGC; }
Config.prototype.isSpecPVDTMC = function() { return this.specPVDTMC; }
Config.prototype.isSpecLHCNV = function() { return this.specLHCNV; }
Config.prototype.isSpecLHGFC = function() { return this.specLHGFC; }
Config.prototype.isSpecBECME = function() { return this.specBECME; }
Config.prototype.isSpecHMDNP = function() { return this.specHMDNP; }
