/**********************************************************************************************/
/* OpenSi : Logiciel SaaS de gestion commerciale et comptabilit spcialis dans l'e-commerce */
/* Copyright (c) - Tous droits rservs - SAS Speedinfo Evolution                             */
/**********************************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");


function init() {
	try {

		document.getElementById("resultat").value = "RESULTAT DE L'EXERCICE : "+ ParamValeur('Resultat') +" \u20AC";
		document.getElementById("annuler").focus();

	} catch (e) {
    recup_erreur(e);
  }
}


function cloture() {
	try {

		document.getElementById('progression').collapsed = false;
		document.getElementById('pm').setAttribute('mode', 'undetermined');

    document.getElementById('bMenuPrincipal').disabled = true;
    document.getElementById('bFermerSession').disabled = true;
    document.getElementById('annuler').disabled = true;
    document.getElementById('valider').disabled = true;

		var JournalAN = ParamValeur('JournalAN');
		var DetailTiers = ParamValeur('DetailTiers');
		var DetailAux = ParamValeur('DetailAux');
		var AExtourner = ParamValeur('AExtourner');
		var JournalEX = ParamValeur('JournalEX');
		var DateEX = ParamValeur('DateEX');

		var qCloture = new QueryHttp("Compta/UpdateDatabase/Cloture.tmpl");
		qCloture.setParam('JournalAN', JournalAN);
		qCloture.setParam('DetailTiers', DetailTiers);
		qCloture.setParam('DetailAux', DetailAux);
		qCloture.setParam('AExtourner', AExtourner);
		qCloture.setParam('JournalEX', JournalEX);
		qCloture.setParam('DateEX', DateEX);
		var result = qCloture.execute();

		var errors = new Errors(result);

		if (errors.hasNext()) {
			errors.show();
		}
		else {
			showMessage("L'exercice a \u00E9t\u00E9 clotur\u00E9 avec succ\u00E9s");
			window.location = "chrome://opensi/content/compta/user/menu_dossier.xul?"+ cookie();
		}

	} catch (e) {
    recup_erreur(e);
  }
}


function retour_menu_principal() {
	try {

  	window.location = "chrome://opensi/content/compta/user/menu_exercice.xul?"+ cookie();

	} catch (e) {
    recup_erreur(e);
  }
}
