/**********************************************************************************************/
/* OpenSi : Logiciel SaaS de gestion commerciale et comptabilit spcialis dans l'e-commerce */
/* Copyright (c) - Tous droits rservs - SAS Speedinfo Evolution                             */
/**********************************************************************************************/


var omt_typeTarif;
var omt_tarifId;
var omt_element;
var omt_varMontant;
var omt_varPourcentage;
var omt_varPAFournisseur;
var omt_varPACUMP;
var omt_nouvelleValeur;
var omt_typeArrondi;
var omt_valArrondi;
var omt_modeArrondi;
var omt_appArrondi;
var omt_calcForfait;
var omt_calcForfaitPA;

var omt_chkPAFRem;
var omt_chkSpec;
var omt_chkRepercussion;

var omt_refArticle;
var omt_refModele;
var omt_famille1;
var omt_famille2;
var omt_famille3;
var omt_marque;
var omt_fournisseur;

var omt_curPageTarifs;
var omt_maxPageTarifs;

var omt_aFamille1 = new Arbre('ComboListe/combo-famillesArticle.tmpl', 'omt-famille1');
var omt_aFamille2 = new Arbre('ComboListe/combo-famillesArticle.tmpl', 'omt-famille2');
var omt_aFamille3 = new Arbre('ComboListe/combo-famillesArticle.tmpl', 'omt-famille3');
var omt_aMarques = new Arbre("ComboListe/combo-marquesArticle.tmpl", "omt-listeMarques");
var omt_aFournisseurs = new Arbre("Facturation/MajTarifs/combo-fournisseursMT.tmpl", "omt-listeFournisseurs");
var omt_aTarifs = new Arbre("Facturation/MajTarifs/liste_maj_tarifs.tmpl", "omt-tarifs");



function omt_initMajTarifs() {
	try {

		document.getElementById('omt-bPrecTarifs').disabled = true;
		document.getElementById('omt-bSuivTarifs').disabled = true;
		document.getElementById("omt-bReporter").disabled = true;

		var aTarifsVente = new Arbre("ComboListe/combo-tarifsVente.tmpl", "omt-tarifId");
		aTarifsVente.initTree(omt_defaultBoxOperation);

		omt_aFamille1.initTree(omt_initFamille1);

	}	catch(e){
		recup_erreur(e);
	}
}


function omt_initFamille1() {
  try {

		document.getElementById('omt-famille1').selectedIndex = 0;
		omt_aMarques.initTree(omt_initMarques);

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_initMarques() {
	try {

		document.getElementById("omt-listeMarques").selectedIndex = 0;
		omt_aFournisseurs.initTree(omt_initFournisseurs);

	} catch (e) {
		recup_erreur(e);
	}
}

function omt_initFournisseurs() {
	try {

		document.getElementById("omt-listeFournisseurs").selectedIndex = 0;

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_chargerFamilles2() {
	try {

		if (!isEmpty(document.getElementById('omt-famille1').value)) {
			omt_aFamille2.setParam('Parent_Id', document.getElementById('omt-famille1').value);
			omt_aFamille2.initTree(omt_initFamille2);
		}
		else {
			omt_aFamille2.deleteTree();
			omt_initFamille2();
		}

		omt_initFamille3();

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_initFamille2() {
  try {

		document.getElementById('omt-famille2').selectedIndex = 0;

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_chargerFamilles3() {
	try {

		if (!isEmpty(document.getElementById('omt-famille2').value)) {
			omt_aFamille3.setParam('Parent_Id', document.getElementById('omt-famille2').value);
			omt_aFamille3.initTree(omt_initFamille3);
		}
		else {
			omt_aFamille3.deleteTree();
			omt_initFamille3();
		}

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_initFamille3() {
  try {

		document.getElementById('omt-famille3').selectedIndex = 0;

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_defaultBoxOperation() {
	try {

		document.getElementById("omt-typeTarif").value = "G";
		document.getElementById("omt-rgpElement").value = gConfig.getGDTElementAModifier();
		document.getElementById("omt-rgpElementTS").value = "0";
		document.getElementById("omt-tarifId").value = gConfig.getGDTTarifImpacte();
		document.getElementById("omt-varPourcentage").value = "";
		document.getElementById("omt-varMontant").value = "";
		document.getElementById("omt-varPAFournisseur").value = 0;
		document.getElementById("omt-typeVariation").value = 0;
		document.getElementById("omt-chkPAFRem").checked = false;
		document.getElementById("omt-nouvelleValeur").value = "";
		document.getElementById("omt-chkRepercussion").checked = true;
		document.getElementById("omt-chkSpec").checked = false;
		document.getElementById("omt-typeArrondi").value = "";
		document.getElementById("omt-valArrondi").value = "";
		document.getElementById("omt-modeArrondi").value = "S";
		document.getElementById("omt-appArrondi").value = 0;
		document.getElementById("omt-chkCalcForfait").checked = false;
		document.getElementById("omt-chkCalcForfaitPA").checked = false;

		omt_initBoxOperation();

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_initBoxOperation() {
	try {

		var typeTarif = document.getElementById("omt-typeTarif").value;
		var elem = (typeTarif=="G"?document.getElementById("omt-rgpElement").value:document.getElementById("omt-rgpElementTS").value);

		document.getElementById("omt-boxReport").collapsed = (typeTarif=="S");

		document.getElementById("omt-aidePV").collapsed = (elem=="2" || elem=="3" || elem=="5");
		document.getElementById("omt-aideCoeff").collapsed = (typeTarif=="S" || elem!="2");
		document.getElementById("omt-aidePourcPV").collapsed = (typeTarif=="G" || elem!="2");
		document.getElementById("omt-aideTauxMarque").collapsed = (elem!="3");
		document.getElementById("omt-aideTauxMarge").collapsed = (elem!="5");

		document.getElementById("omt-rowRepercussion").collapsed = (elem!="4" || typeTarif=="S");
		document.getElementById("omt-rowSpec").collapsed = (typeTarif=="S" || (elem=="4" && !document.getElementById("omt-chkRepercussion").checked));
		document.getElementById("omt-fournisseur").collapsed = (elem!="4" || typeTarif=="S");

		document.getElementById("omt-rowVariation").collapsed = (elem=="2" || elem=="3" || elem=="5");
		document.getElementById("omt-rowNouvelleValeur").collapsed = (elem!="2" && elem!="3" && elem!="5");

		document.getElementById("omt-rowElement").collapsed = (typeTarif=="S");
		document.getElementById("omt-rowElementTS").collapsed = (typeTarif=="G");
		document.getElementById("omt-rowTarif").collapsed = (typeTarif=="G" && elem=="4");

		document.getElementById("omt-lblTarifImp").collapsed = (typeTarif=="S");
		document.getElementById("omt-lblTarifRef").collapsed = (typeTarif=="G");

		document.getElementById("omt-boxVarPAFournisseur").collapsed = (elem!="4");
		document.getElementById("omt-boxVarPACUMP").collapsed = (elem!="4");
		if (elem!=4 && document.getElementById("omt-typeVariation").value>=2) {
			document.getElementById("omt-typeVariation").value = 0;
			omt_pressOnTypeVariation();
		}

		if (elem==4 && !document.getElementById("omt-chkRepercussion").checked) {
			document.getElementById("omt-typeArrondi").value = "";
			omt_changeTypeArrondi();
		}

		document.getElementById("omt-rowArrondi").collapsed = (elem=="4" && !document.getElementById("omt-rowRepercussion").collapsed && !document.getElementById("omt-chkRepercussion").checked);
		document.getElementById("omt-lblTerminant").collapsed = (document.getElementById("omt-typeArrondi").value!="P");
		document.getElementById("omt-rowAppArrondi").collapsed = document.getElementById("omt-rowArrondi").collapsed || isEmpty(document.getElementById("omt-typeArrondi").value);

		document.getElementById("omt-rowCalcForfait").collapsed = (typeTarif=="S" || (elem=="4" && !document.getElementById("omt-chkRepercussion").checked));
		document.getElementById("omt-rowCalcForfaitPA").collapsed = (typeTarif=="S" || elem!="4");

		omt_desactiverValidation();

	}	catch(e) {
		recup_erreur(e);
	}
}


function omt_pressOnFamille1() {
	try {

		omt_chargerFamilles2();
		omt_desactiverValidation();

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_pressOnFamille2() {
	try {

		omt_chargerFamilles3();
		omt_desactiverValidation();

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_pressOnTypeVariation() {
	try {

		var typeVariation = document.getElementById("omt-typeVariation").value;
		document.getElementById("omt-varPourcentage").disabled = (typeVariation!="0");
		document.getElementById("omt-varMontant").disabled = (typeVariation!="1");
		document.getElementById("omt-varPourcentage").value = "";
		document.getElementById("omt-varMontant").value = "";
		document.getElementById("omt-varPAFournisseur").disabled = (typeVariation!="2");
		document.getElementById("omt-chkPAFRem").disabled = (typeVariation!="2");
		if (typeVariation!="2") {
			document.getElementById("omt-varPAFournisseur").value = 0;
			document.getElementById("omt-chkPAFRem").checked = false;
		}
		omt_desactiverValidation();

	}	catch(e){
		recup_erreur(e);
	}
}


function omt_changeTypeArrondi() {
	try {

		var typeArrondi = document.getElementById("omt-typeArrondi").value;
		document.getElementById("omt-boxArrondi").collapsed = isEmpty(typeArrondi);
		document.getElementById("omt-valArrondi").value = "";
		document.getElementById("omt-lblTerminant").collapsed = (document.getElementById("omt-typeArrondi").value!="P");
		document.getElementById("omt-rowAppArrondi").collapsed = isEmpty(typeArrondi);

	}	catch(e){
		recup_erreur(e);
	}
}


function omt_desactiverValidation() {
	try {

		document.getElementById("omt-bEditerPdf").disabled = true;
		document.getElementById("omt-bEditerCsv").disabled = true;
		document.getElementById("omt-bValider").disabled = true;

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_pageTarifsSuiv() {
	try {

		omt_curPageTarifs++;
		document.getElementById('omt-pageDebTarifs').value = omt_curPageTarifs;
		document.getElementById('omt-bPrecTarifs').disabled = false;
		document.getElementById('omt-bSuivTarifs').disabled = (omt_curPageTarifs==omt_maxPageTarifs);
		omt_initTarifs();

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_pageTarifsPrec() {
	try {

		omt_curPageTarifs--;
		document.getElementById('omt-pageDebTarifs').value = omt_curPageTarifs;
		document.getElementById('omt-bPrecTarifs').disabled = (omt_curPageTarifs==1);
		document.getElementById('omt-bSuivTarifs').disabled = false;
		omt_initTarifs();

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_initTarifs() {
  try {

  	omt_aTarifs.setParam("Page_Deb", omt_curPageTarifs);
  	omt_aTarifs.initTree();

  } catch (e) {
    recup_erreur(e);
  }
}


function omt_pressOnTarifs() {
	try {

		if (omt_aTarifs.isSelected()) {
			document.getElementById("omt-bReporter").disabled = false;
		}

	} catch (e) {
		recup_erreur(e);
	}
}


function omt_reporter() {
  try {

		if (omt_aTarifs.isSelected()) {
			var reportElement = document.getElementById("omt-reportElement").value;
			document.getElementById("omt-rgpElement").value = reportElement;

			var colReport;
			switch(reportElement) {
				case "2":	colReport = "omt-colNvCoeff";				break;
				case "3":	colReport = "omt-colNvTauxMarque";	break;
				case "5":	colReport = "omt-colNvTauxMarge";		break;
			}

			document.getElementById("omt-nouvelleValeur").value = omt_aTarifs.getSelectedCellText(colReport);
			omt_initBoxOperation();
			omt_calculer();
		}
		else {
			showWarning("Veuillez s\u00E9lectionner une ligne dans la liste de pr\u00E9visualisation");
		}

	} catch (e) {
    recup_erreur(e);
  }
}


function omt_calculer() {
	try {

		omt_tarifId = document.getElementById("omt-tarifId").value;
		omt_typeTarif = document.getElementById("omt-typeTarif").value;
		omt_element = (omt_typeTarif=="G"?document.getElementById("omt-rgpElement").value:document.getElementById("omt-rgpElementTS").value);
		omt_varPourcentage = document.getElementById("omt-varPourcentage").value;
		omt_varMontant = document.getElementById("omt-varMontant").value;
		omt_varPAFournisseur = document.getElementById("omt-varPAFournisseur").value;
		omt_varPACUMP = document.getElementById("omt-typeVariation").value==3;
		omt_chkPAFRem = document.getElementById("omt-chkPAFRem").checked;
		omt_nouvelleValeur = document.getElementById("omt-nouvelleValeur").value;
		omt_chkRepercussion = document.getElementById("omt-chkRepercussion").checked;
		omt_chkSpec = document.getElementById("omt-chkSpec").checked;
		omt_refArticle = document.getElementById("omt-txtRefArticle").value;
		omt_refModele = document.getElementById("omt-txtRefModele").value;
		omt_famille1 = document.getElementById("omt-famille1").value;
		omt_famille2 = document.getElementById("omt-famille2").value;
		omt_famille3 = document.getElementById("omt-famille3").value;
		omt_marque = document.getElementById("omt-listeMarques").value;
		omt_fournisseur = document.getElementById("omt-listeFournisseurs").value;
		omt_typeArrondi = document.getElementById("omt-typeArrondi").value;
		omt_valArrondi = document.getElementById("omt-valArrondi").value;
		omt_modeArrondi = document.getElementById("omt-modeArrondi").value;
		omt_appArrondi = document.getElementById("omt-appArrondi").value;
		omt_calcForfait = document.getElementById("omt-chkCalcForfait").checked;
		omt_calcForfaitPA = document.getElementById("omt-chkCalcForfaitPA").checked;

		var isVarPour = !document.getElementById("omt-rowVariation").collapsed && document.getElementById("omt-typeVariation").value == "0";
		var isVarMont = !document.getElementById("omt-rowVariation").collapsed && document.getElementById("omt-typeVariation").value == "1";
		var isTauxMarque = !document.getElementById("omt-rowNouvelleValeur").collapsed && omt_element == "3";
		var isTauxMarge = !document.getElementById("omt-rowNouvelleValeur").collapsed && omt_element == "5";
		var isCoeff = omt_typeTarif=="G" && !document.getElementById("omt-rowNouvelleValeur").collapsed && omt_element == "2";
		var isPourcPV = omt_typeTarif=="S" && !document.getElementById("omt-rowNouvelleValeur").collapsed && omt_element == "2";
		var isArrondi = !document.getElementById("omt-rowArrondi").collapsed;

		if (isVarPour && (isEmpty(omt_varPourcentage) || !checkNumber(omt_varPourcentage,5,2) || parseFloat(omt_varPourcentage)<-100 || parseFloat(omt_varPourcentage)==0)) {
			showWarning("Variation en pourcentage incorrecte");
		}
		else if (isVarMont && (isEmpty(omt_varMontant) || !checkNumber(omt_varMontant,14,4) || parseFloat(omt_varMontant)==0)) {
			showWarning("Variation en montant incorrecte");
		}
		else if (isCoeff && (isEmpty(omt_nouvelleValeur) || !isPositiveOrNull(omt_nouvelleValeur) || !checkNumber(omt_nouvelleValeur,12,6))) {
			showWarning("Nouvelle valeur de coefficient incorrecte");
		}
		else if (isPourcPV && (isEmpty(omt_nouvelleValeur) || !isPositiveOrNull(omt_nouvelleValeur) || !checkNumber(omt_nouvelleValeur,12,4))) {
			showWarning("Nouvelle valeur de pourcentage incorrecte");
		}
		else if (isTauxMarque && (isEmpty(omt_nouvelleValeur) || !checkNumber(omt_nouvelleValeur,12,6) || parseFloat(omt_nouvelleValeur)>=100)) {
			showWarning("Nouvelle valeur de taux de marque incorrecte");
		}
		else if (isTauxMarge && (isEmpty(omt_nouvelleValeur) || !checkNumber(omt_nouvelleValeur,12,4))) {
			showWarning("Nouvelle valeur de taux de marge incorrecte");
		}
		else if (isArrondi && document.getElementById("omt-typeArrondi").value=="M" && (!isPositive(omt_valArrondi) || !checkNumber(omt_valArrondi,6,4))) {
			showWarning("Valeur d'arrondi multiple incorrecte");
		}
		else if (isArrondi && document.getElementById("omt-typeArrondi").value=="P" && (!isPositive(omt_valArrondi) || !checkNumber(omt_valArrondi,8,4))) {
			showWarning("Valeur d'arrondi psychologique incorrecte");
		}
		else {
			document.getElementById("omt-bCalculer").disabled = true;
			document.getElementById("omt-bReporter").disabled = true;

			if (omt_typeTarif=="G") {
				var qNbPages = new QueryHttp("Facturation/MajTarifs/getNbPages.tmpl");
				qNbPages.setParam("Tarif_Id", omt_tarifId);
				qNbPages.setParam("Reference", omt_refArticle);
				qNbPages.setParam("Ref_Modele", omt_refModele);
				qNbPages.setParam("Famille_1", omt_famille1);
				qNbPages.setParam("Famille_2", omt_famille2);
				qNbPages.setParam("Famille_3", omt_famille3);
				qNbPages.setParam("Marque", omt_marque);
				qNbPages.setParam("Fournisseur", omt_fournisseur);
				var result = qNbPages.execute();

				omt_maxPageTarifs = result.responseXML.documentElement.getAttribute('NbPagesTarifs');
			}
			else {
				omt_maxPageTarifs = 1
			}

			if (omt_maxPageTarifs<1) {
				omt_maxPageTarifs = 1;
			}
			omt_curPageTarifs = 1;
			document.getElementById('omt-pagination').collapsed = (omt_maxPageTarifs==1);
			document.getElementById('omt-pageDebTarifs').value = omt_curPageTarifs;
			document.getElementById('omt-pageFinTarifs').value = omt_maxPageTarifs;
			document.getElementById('omt-bPrecTarifs').disabled = true;
			document.getElementById('omt-bSuivTarifs').disabled = (omt_maxPageTarifs==1);

			omt_aTarifs.setParam("Type_Tarif", omt_typeTarif);
			omt_aTarifs.setParam("Tarif_Id", omt_tarifId);
			omt_aTarifs.setParam("Element", omt_element);
			omt_aTarifs.setParam("Var_Pourcentage", omt_varPourcentage);
			omt_aTarifs.setParam("Var_Montant", omt_varMontant);
			omt_aTarifs.setParam("Var_PAFournisseur", omt_varPAFournisseur);
			omt_aTarifs.setParam("Var_PACUMP", omt_varPACUMP);
			omt_aTarifs.setParam("PAF_Rem", omt_chkPAFRem);
			omt_aTarifs.setParam("Nouvelle_Valeur", omt_nouvelleValeur);
			omt_aTarifs.setParam("Report_PA", omt_chkRepercussion);
			omt_aTarifs.setParam("Report_TS", omt_chkSpec);
			omt_aTarifs.setParam("Reference", omt_refArticle);
			omt_aTarifs.setParam("Ref_Modele", omt_refModele);
			omt_aTarifs.setParam("Famille_1", omt_famille1);
			omt_aTarifs.setParam("Famille_2", omt_famille2);
			omt_aTarifs.setParam("Famille_3", omt_famille3);
			omt_aTarifs.setParam("Marque", omt_marque);
			omt_aTarifs.setParam("Fournisseur", omt_fournisseur);
			omt_aTarifs.setParam("Type_Arrondi", omt_typeArrondi);
			omt_aTarifs.setParam("Val_Arrondi", omt_valArrondi);
			omt_aTarifs.setParam("Mode_Arrondi", omt_modeArrondi);
			omt_aTarifs.setParam("App_Arrondi", omt_appArrondi);
			omt_aTarifs.setParam("Calc_Forfait", omt_calcForfait);
			omt_aTarifs.setParam("Calc_Forfait_PA", omt_calcForfaitPA);

			omt_aTarifs.setParam("Page_Deb", omt_curPageTarifs);
			omt_aTarifs.initTree(omt_afficherColonnes);
		}

	}	catch(e){
		recup_erreur(e);
	}
}


function omt_afficherColonnes() {
	try {

		document.getElementById("omt-bEditerPdf").disabled = false;
		document.getElementById("omt-bEditerCsv").disabled = false;
		document.getElementById("omt-bValider").disabled = false;
		document.getElementById("omt-bCalculer").disabled = false;

	}	catch(e){
		recup_erreur(e);
	}
}


function omt_editerPdf() {
	try {

		var qEdition = new QueryHttp("Facturation/MajTarifs/majTarifsPdf.tmpl");

		qEdition.setParam("Type_Tarif", omt_typeTarif);
		qEdition.setParam("Tarif_Id", omt_tarifId);
		qEdition.setParam("Element", omt_element);
		qEdition.setParam("Var_Pourcentage", omt_varPourcentage);
		qEdition.setParam("Var_Montant", omt_varMontant);
		qEdition.setParam("Var_PAFournisseur", omt_varPAFournisseur);
		qEdition.setParam("Var_PACUMP", omt_varPACUMP);
		qEdition.setParam("PAF_Rem", omt_chkPAFRem);
		qEdition.setParam("Nouvelle_Valeur", omt_nouvelleValeur);
		qEdition.setParam("Report_PA", omt_chkRepercussion);
		qEdition.setParam("Report_TS", omt_chkSpec);
		qEdition.setParam("Reference", omt_refArticle);
		qEdition.setParam("Ref_Modele", omt_refModele);
		qEdition.setParam("Famille_1", omt_famille1);
		qEdition.setParam("Famille_2", omt_famille2);
		qEdition.setParam("Famille_3", omt_famille3);
		qEdition.setParam("Marque", omt_marque);
		qEdition.setParam("Fournisseur", omt_fournisseur);
		qEdition.setParam("Type_Arrondi", omt_typeArrondi);
		qEdition.setParam("Val_Arrondi", omt_valArrondi);
		qEdition.setParam("Mode_Arrondi", omt_modeArrondi);
		qEdition.setParam("App_Arrondi", omt_appArrondi);
		qEdition.setParam("Calc_Forfait", omt_calcForfait);
		qEdition.setParam("Calc_Forfait_PA", omt_calcForfaitPA);

		var result = qEdition.execute();

		if (result.responseXML.documentElement.getAttribute('PdfOK')=="true") {
			var page = getDirPdf() + result.responseXML.documentElement.getAttribute('FichierPDF');
			document.getElementById('pdf').setAttribute("src", page);

			document.getElementById("bRetourMajTarifs").collapsed = false;
			document.getElementById("deck").selectedIndex = 1;
		}
		else {
			showWarning("Aucun tarif \u00E0 mettre \u00E0 jour dans votre s\u00E9lection");
		}

	}	catch (e) {
		recup_erreur(e);
	}
}


function omt_editerCsv() {
	try {

		var qEdition = new QueryHttp("Facturation/MajTarifs/majTarifsCsv.tmpl");

		qEdition.setParam("Type_Tarif", omt_typeTarif);
		qEdition.setParam("Tarif_Id", omt_tarifId);
		qEdition.setParam("Element", omt_element);
		qEdition.setParam("Var_Pourcentage", omt_varPourcentage);
		qEdition.setParam("Var_Montant", omt_varMontant);
		qEdition.setParam("Var_PAFournisseur", omt_varPAFournisseur);
		qEdition.setParam("Var_PACUMP", omt_varPACUMP);
		qEdition.setParam("PAF_Rem", omt_chkPAFRem);
		qEdition.setParam("Nouvelle_Valeur", omt_nouvelleValeur);
		qEdition.setParam("Report_PA", omt_chkRepercussion);
		qEdition.setParam("Report_TS", omt_chkSpec);
		qEdition.setParam("Reference", omt_refArticle);
		qEdition.setParam("Ref_Modele", omt_refModele);
		qEdition.setParam("Famille_1", omt_famille1);
		qEdition.setParam("Famille_2", omt_famille2);
		qEdition.setParam("Famille_3", omt_famille3);
		qEdition.setParam("Marque", omt_marque);
		qEdition.setParam("Fournisseur", omt_fournisseur);
		qEdition.setParam("Type_Arrondi", omt_typeArrondi);
		qEdition.setParam("Val_Arrondi", omt_valArrondi);
		qEdition.setParam("Mode_Arrondi", omt_modeArrondi);
		qEdition.setParam("App_Arrondi", omt_appArrondi);
		qEdition.setParam("Calc_Forfait", omt_calcForfait);
		qEdition.setParam("Calc_Forfait_PA", omt_calcForfaitPA);

		var result = qEdition.execute();
		var fichier = result.responseXML.documentElement.getAttribute('FichierCSV');
		var nomFichier = formaterNomFichier("majTarifs", "csv");
		var file = fileChooser("save", nomFichier);

		if (file!=null) {
			downloadFile(getDirBuffer()+ fichier, file);
		}

	} catch (e) {
    recup_erreur(e);
  }
}


function omt_valider() {
	try {

		if (window.confirm("Attention ! La validation entrainera une mise \u00E0 jour d\u00E9finitive des prix.")) {

			document.getElementById('pmbox').collapsed = false;
			document.getElementById('pm').setAttribute('mode', 'undetermined');

			omt_desactiverValidation();

			var qMajTarifs = new QueryHttp("Facturation/MajTarifs/validerMajTarifs.tmpl");

			qMajTarifs.setParam("Element", omt_element);
			qMajTarifs.setParam("Type_Tarif", omt_typeTarif);
			qMajTarifs.setParam("Tarif_Id", omt_tarifId);
			qMajTarifs.setParam("Var_Pourcentage", omt_varPourcentage);
			qMajTarifs.setParam("Var_Montant", omt_varMontant);
			qMajTarifs.setParam("Var_PAFournisseur", omt_varPAFournisseur);
			qMajTarifs.setParam("Var_PACUMP", omt_varPACUMP);
			qMajTarifs.setParam("PAF_Rem", omt_chkPAFRem);
			qMajTarifs.setParam("Nouvelle_Valeur", omt_nouvelleValeur);
			qMajTarifs.setParam("Report_PA", omt_chkRepercussion);
			qMajTarifs.setParam("Report_TS", omt_chkSpec);
			qMajTarifs.setParam("Reference", omt_refArticle);
			qMajTarifs.setParam("Ref_Modele", omt_refModele);
			qMajTarifs.setParam("Famille_1", omt_famille1);
			qMajTarifs.setParam("Famille_2", omt_famille2);
			qMajTarifs.setParam("Famille_3", omt_famille3);
			qMajTarifs.setParam("Marque", omt_marque);
			qMajTarifs.setParam("Fournisseur", omt_fournisseur);
			qMajTarifs.setParam("Type_Arrondi", omt_typeArrondi);
			qMajTarifs.setParam("Val_Arrondi", omt_valArrondi);
			qMajTarifs.setParam("Mode_Arrondi", omt_modeArrondi);
			qMajTarifs.setParam("App_Arrondi", omt_appArrondi);
			qMajTarifs.setParam("Calc_Forfait", omt_calcForfait);
			qMajTarifs.setParam("Calc_Forfait_PA", omt_calcForfaitPA);

			qMajTarifs.execute(omt_validerEnd);
		}

	}	catch(e){
		recup_erreur(e);
	}
}


function omt_validerEnd() {
	try {

		document.getElementById('pm').setAttribute('mode', 'none');
		document.getElementById('pmbox').collapsed = true;

		showWarning("Mise \u00E0 jour termin\u00E9e !");

		omt_defaultBoxOperation();
		omt_aTarifs.deleteTree();
		document.getElementById('omt-pagination').collapsed = true;

	}	catch(e){
		recup_erreur(e);
	}
}
