/**********************************************************************************************/
/* OpenSi : Logiciel SaaS de gestion commerciale et comptabilit spcialis dans l'e-commerce */
/* Copyright (c) - Tous droits rservs - SAS Speedinfo Evolution                             */
/**********************************************************************************************/

/*
 * Profil utilisateur
 */


jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");



function Profil() {

	var qGetProfil = new QueryHttp("Commun/getProfil.tmpl");
	var result = qGetProfil.execute();

	var contenu = result.responseXML.documentElement;

	this.DossierId = contenu.getAttribute("Dossier_Id");
	this.CodeDossier = contenu.getAttribute("Code_Dossier");
	this.LoggedUser = contenu.getAttribute("Utilisateur_Id");
	this.IOSubDirectory = contenu.getAttribute("IO_Sub_Directory");
	this.PDFSubDirectory = contenu.getAttribute("PDF_Sub_Directory");
	this.GraphSubDirectory = contenu.getAttribute("Graph_Sub_Directory");

	this.ExerciceId = 0;

	this.AccMWM = contenu.getAttribute("Acc_MWM")=="true";
	this.SpecANZSAN = contenu.getAttribute("Spec_ANZ_SAN")=="true";

	this.Direction = contenu.getAttribute("Direction")=="true";
	this.ClotureFact = contenu.getAttribute("Cloture_Fact")=="true";
	this.ModifElemFinDV = contenu.getAttribute("Modif_Elem_Fin_DV")=="true";
	this.ModifElemFinFCA = contenu.getAttribute("Modif_Elem_Fin_FCA")=="true";
	this.ShowTotauxDV = contenu.getAttribute("Show_Totaux_DV")=="true";
	this.AccesCoutAchat = contenu.getAttribute("Acces_Cout_Achat")=="true";
	this.AccesCoordBanque = contenu.getAttribute("Acces_Coord_Banque")=="true";
	this.ModifStockES = contenu.getAttribute("Modif_Stock_ES")=="true";
	this.ModifPrixFA = contenu.getAttribute("Modif_Prix_FA")=="true";
	this.RestricAccCDVPA = contenu.getAttribute("Restric_Acc_CDV_PA")=="true";
	this.GestionDevisType = contenu.getAttribute("Gestion_Devis_Type")=="true";
	this.GestionRespVente = contenu.getAttribute("Gestion_Resp_Vente")=="true";
	this.GestionPoleVente = contenu.getAttribute("Gestion_Pole_Vente")=="true";
	this.GestionIntiVente = contenu.getAttribute("Gestion_Inti_Vente")=="true";
	this.GestionBloqueCli = contenu.getAttribute("Gestion_Bloque_Cli")=="true";
	this.AnonymisationFC = contenu.getAttribute("Anonymisation_FC")=="true";
	this.ValidationCC = contenu.getAttribute("Validation_CC")=="true";
	this.AnnulationCC = contenu.getAttribute("Annulation_CC")=="true";
	this.ValidationBP = contenu.getAttribute("Validation_BP")=="true";
	this.AnnulationBP = contenu.getAttribute("Annulation_BP")=="true";
	this.ValidationBL = contenu.getAttribute("Validation_BL")=="true";
	this.AnnulationBL = contenu.getAttribute("Annulation_BL")=="true";
	this.ValidationDC = contenu.getAttribute("Validation_DC")=="true";
	this.PoleActivite = contenu.getAttribute("Pole_Activite");
	this.EtabId = contenu.getAttribute("Etab_Id");
	this.MenuGC_TClients = contenu.getAttribute("MenuGC_TClients")=="true";
	this.MenuGC_TFournisseurs = contenu.getAttribute("MenuGC_TFournisseurs")=="true";
	this.MenuGC_TCommerciaux = contenu.getAttribute("MenuGC_TCommerciaux")=="true";
	this.MenuGC_VDevis = contenu.getAttribute("MenuGC_VDevis")=="true";
	this.MenuGC_VAffaires = contenu.getAttribute("MenuGC_VAffaires")=="true";
	this.MenuGC_VRetours = contenu.getAttribute("MenuGC_VRetours")=="true";
	this.MenuGC_VFactures = contenu.getAttribute("MenuGC_VFactures")=="true";
	this.MenuGC_VFactuAuto = contenu.getAttribute("MenuGC_VFactuAuto")=="true";
	this.MenuGC_VEnvoiFact = contenu.getAttribute("MenuGC_VEnvoiFact")=="true";
	this.MenuGC_VAbonnements = contenu.getAttribute("MenuGC_VAbonnements")=="true";
	this.MenuGC_EExpesCC = contenu.getAttribute("MenuGC_EExpesCC")=="true";
	this.MenuGC_EExpesTS = contenu.getAttribute("MenuGC_EExpesTS")=="true";
	this.MenuGC_EPrepaExpes = contenu.getAttribute("MenuGC_EPrepaExpes")=="true";
	this.MenuGC_EExpCrossDock = contenu.getAttribute("MenuGC_EExpCrossDock")=="true";
	this.MenuGC_ESuiviLog = contenu.getAttribute("MenuGC_ESuiviLog")=="true";
	this.MenuGC_ESuiviTrans = contenu.getAttribute("MenuGC_ESuiviTrans")=="true";
	this.MenuGC_ACommandes = contenu.getAttribute("MenuGC_ACommandes")=="true";
	this.MenuGC_APrepaCom = contenu.getAttribute("MenuGC_APrepaCom")=="true";
	this.MenuGC_ARecepCom = contenu.getAttribute("MenuGC_ARecepCom")=="true";
	this.MenuGC_ARetours = contenu.getAttribute("MenuGC_ARetours")=="true";
	this.MenuGC_AFactures = contenu.getAttribute("MenuGC_AFactures")=="true";
	this.MenuGC_AControle = contenu.getAttribute("MenuGC_AControle")=="true";
	this.MenuGC_SArticles = contenu.getAttribute("MenuGC_SArticles")=="true";
	this.MenuGC_STarifs = contenu.getAttribute("MenuGC_STarifs")=="true";
	this.MenuGC_SFabrication = contenu.getAttribute("MenuGC_SFabrication")=="true";
	this.MenuGC_SInventaire = contenu.getAttribute("MenuGC_SInventaire")=="true";
	this.MenuGC_STracabilite = contenu.getAttribute("MenuGC_STracabilite")=="true";
	this.MenuGC_STransferts = contenu.getAttribute("MenuGC_STransferts")=="true";
	this.MenuGC_SIOStocks = contenu.getAttribute("MenuGC_SIOStocks")=="true";
	this.MenuGC_SParamStocks = contenu.getAttribute("MenuGC_SParamStocks")=="true";
	this.MenuGC_SMouvements = contenu.getAttribute("MenuGC_SMouvements")=="true";
	this.MenuGC_SEmplacements = contenu.getAttribute("MenuGC_SEmplacements")=="true";
	this.MenuGC_STransEmp = contenu.getAttribute("MenuGC_STransEmp")=="true";
	this.MenuGC_DRegFour = contenu.getAttribute("MenuGC_DRegFour")=="true";
	this.MenuGC_DRegCli = contenu.getAttribute("MenuGC_DRegCli")=="true";
	this.MenuGC_DRemises = contenu.getAttribute("MenuGC_DRemises")=="true";
	this.MenuGC_DEditions = contenu.getAttribute("MenuGC_DEditions")=="true";
	this.MenuGC_DTabBord = contenu.getAttribute("MenuGC_DTabBord")=="true";
	this.MenuGC_DTransCpta = contenu.getAttribute("MenuGC_DTransCpta")=="true";
	this.MenuGC_DExportIdep = contenu.getAttribute("MenuGC_DExportIdep")=="true";
	this.MenuGC_DDeclEcoPart = contenu.getAttribute("MenuGC_DDeclEcoPart")=="true";
	this.MenuGC_DImpExpCsv = contenu.getAttribute("MenuGC_DImpExpCsv")=="true";
	this.MenuGC_DPassword = contenu.getAttribute("MenuGC_DPassword")=="true";
	this.MenuCG_CSaisie = contenu.getAttribute("MenuCG_CSaisie")=="true";
	this.MenuCG_CRevision = contenu.getAttribute("MenuCG_CRevision")=="true";
	this.MenuCG_CTransCop = contenu.getAttribute("MenuCG_CTransCop")=="true";
	this.MenuCG_CRappro = contenu.getAttribute("MenuCG_CRappro")=="true";
	this.MenuCG_CClotMens = contenu.getAttribute("MenuCG_CClotMens")=="true";
	this.MenuCG_CClotExo = contenu.getAttribute("MenuCG_CClotExo")=="true";
	this.MenuCG_EBalance = contenu.getAttribute("MenuCG_EBalance")=="true";
	this.MenuCG_ECentral = contenu.getAttribute("MenuCG_ECentral")=="true";
	this.MenuCG_EGdLivre = contenu.getAttribute("MenuCG_EGdLivre")=="true";
	this.MenuCG_EJournaux = contenu.getAttribute("MenuCG_EJournaux")=="true";
	this.MenuCG_EBalAgee = contenu.getAttribute("MenuCG_EBalAgee")=="true";
	this.MenuCG_EBilan = contenu.getAttribute("MenuCG_EBilan")=="true";
	this.MenuCG_EResultat = contenu.getAttribute("MenuCG_EResultat")=="true";
	this.MenuCG_ESoldes = contenu.getAttribute("MenuCG_ESoldes")=="true";
	this.MenuCG_EPlanCpte = contenu.getAttribute("MenuCG_EPlanCpte")=="true";
	this.MenuCG_SBordGest = contenu.getAttribute("MenuCG_SBordGest")=="true";
	this.MenuCG_SBordTres = contenu.getAttribute("MenuCG_SBordTres")=="true";
	this.MenuCG_AComptes = contenu.getAttribute("MenuCG_AComptes")=="true";
	this.MenuCG_AGdLivre = contenu.getAttribute("MenuCG_AGdLivre")=="true";
	this.MenuCG_AParametrages = contenu.getAttribute("MenuCG_AParametrages")=="true";
	this.MenuCG_DComptes = contenu.getAttribute("MenuCG_DComptes")=="true";
	this.MenuCG_DAboEcr = contenu.getAttribute("MenuCG_DAboEcr")=="true";
	this.MenuCG_DModeles = contenu.getAttribute("MenuCG_DModeles")=="true";
	this.MenuCG_DImpBanque = contenu.getAttribute("MenuCG_DImpBanque")=="true";
	this.MenuCG_DImpExpEcr = contenu.getAttribute("MenuCG_DImpExpEcr")=="true";
	this.MenuCG_DPassword = contenu.getAttribute("MenuCG_DPassword")=="true";
	this.ReadOnlyGC_SArticles = contenu.getAttribute("ReadOnlyGC_SArticles")=="true";
	this.ReadOnlyGC_VDevis = contenu.getAttribute("ReadOnlyGC_VDevis")=="true";
	this.ReadOnlyGC_VAffaires = contenu.getAttribute("ReadOnlyGC_VAffaires")=="true";
	this.ReadOnlyGC_TClients = contenu.getAttribute("ReadOnlyGC_TClients")=="true";
	this.ReadOnlyGC_SIOStocks = contenu.getAttribute("ReadOnlyGC_SIOStocks")=="true";
	this.ReadOnlyGC_DRegCli = contenu.getAttribute("ReadOnlyGC_DRegCli")=="true";
}


Profil.prototype.getDossierId = function() { return this.DossierId; }
Profil.prototype.getCodeDossier = function() { return this.CodeDossier; }
Profil.prototype.getLoggedUser = function() { return this.LoggedUser; }
Profil.prototype.getIOSubDirectory = function() { return this.IOSubDirectory; }
Profil.prototype.getPDFSubDirectory = function() { return this.PDFSubDirectory; }
Profil.prototype.getGraphSubDirectory = function() { return this.GraphSubDirectory; }

Profil.prototype.getExerciceId = function() { return this.ExerciceId; }
Profil.prototype.setExerciceId = function(exerciceId) { this.ExerciceId = exerciceId; }

Profil.prototype.isAccMWM = function() { return this.AccMWM; }
Profil.prototype.isSpecANZSAN = function() { return this.SpecANZSAN; }

Profil.prototype.isDirection = function() { return this.Direction; }
Profil.prototype.isClotureFact = function() { return this.ClotureFact; }
Profil.prototype.isModifElemFinDV = function() { return this.ModifElemFinDV; }
Profil.prototype.isModifElemFinFCA = function() { return this.ModifElemFinFCA; }
Profil.prototype.isShowTotauxDV = function() { return this.ShowTotauxDV; }
Profil.prototype.isAccesCoutAchat = function() { return this.AccesCoutAchat; }
Profil.prototype.isAccesCoordBanque = function() { return this.AccesCoordBanque; }
Profil.prototype.isModifStockES = function() { return this.ModifStockES; }
Profil.prototype.isModifPrixFA = function() { return this.ModifPrixFA; }
Profil.prototype.isRestricAccCDVPA = function() { return this.RestricAccCDVPA; }
Profil.prototype.isGestionDevisType = function() { return this.GestionDevisType; }
Profil.prototype.isGestionRespVente = function() { return this.GestionRespVente; }
Profil.prototype.isGestionPoleVente = function() { return this.GestionPoleVente; }
Profil.prototype.isGestionIntiVente = function() { return this.GestionIntiVente; }
Profil.prototype.isGestionBloqueCli = function() { return this.GestionBloqueCli; }
Profil.prototype.isAnonymisationFC = function() { return this.AnonymisationFC; }
Profil.prototype.isValidationCC = function() { return this.ValidationCC; }
Profil.prototype.isAnnulationCC = function() { return this.AnnulationCC; }
Profil.prototype.isValidationBP = function() { return this.ValidationBP; }
Profil.prototype.isAnnulationBP = function() { return this.AnnulationBP; }
Profil.prototype.isValidationBL = function() { return this.ValidationBL; }
Profil.prototype.isAnnulationBL = function() { return this.AnnulationBL; }
Profil.prototype.isValidationDC = function() { return this.ValidationDC; }
Profil.prototype.getPoleActivite = function() { return this.PoleActivite; }
Profil.prototype.getEtabId = function() { return this.EtabId; }
Profil.prototype.isMenuGC_TClients = function() { return this.MenuGC_TClients; }
Profil.prototype.isMenuGC_TFournisseurs = function() { return this.MenuGC_TFournisseurs; }
Profil.prototype.isMenuGC_TCommerciaux = function() { return this.MenuGC_TCommerciaux; }
Profil.prototype.isMenuGC_VDevis = function() { return this.MenuGC_VDevis; }
Profil.prototype.isMenuGC_VAffaires = function() { return this.MenuGC_VAffaires; }
Profil.prototype.isMenuGC_VRetours = function() { return this.MenuGC_VRetours; }
Profil.prototype.isMenuGC_VFactures = function() { return this.MenuGC_VFactures; }
Profil.prototype.isMenuGC_VFactuAuto = function() { return this.MenuGC_VFactuAuto; }
Profil.prototype.isMenuGC_VEnvoiFact = function() { return this.MenuGC_VEnvoiFact; }
Profil.prototype.isMenuGC_VAbonnements = function() { return this.MenuGC_VAbonnements; }
Profil.prototype.isMenuGC_EExpesCC = function() { return this.MenuGC_EExpesCC; }
Profil.prototype.isMenuGC_EExpesTS = function() { return this.MenuGC_EExpesTS; }
Profil.prototype.isMenuGC_EPrepaExpes = function() { return this.MenuGC_EPrepaExpes; }
Profil.prototype.isMenuGC_EExpCrossDock = function() { return this.MenuGC_EExpCrossDock; }
Profil.prototype.isMenuGC_ESuiviLog = function() { return this.MenuGC_ESuiviLog; }
Profil.prototype.isMenuGC_ESuiviTrans = function() { return this.MenuGC_ESuiviTrans; }
Profil.prototype.isMenuGC_ACommandes = function() { return this.MenuGC_ACommandes; }
Profil.prototype.isMenuGC_APrepaCom = function() { return this.MenuGC_APrepaCom; }
Profil.prototype.isMenuGC_ARecepCom = function() { return this.MenuGC_ARecepCom; }
Profil.prototype.isMenuGC_ARetours = function() { return this.MenuGC_ARetours; }
Profil.prototype.isMenuGC_AFactures = function() { return this.MenuGC_AFactures; }
Profil.prototype.isMenuGC_AControle = function() { return this.MenuGC_AControle; }
Profil.prototype.isMenuGC_SArticles = function() { return this.MenuGC_SArticles; }
Profil.prototype.isMenuGC_STarifs = function() { return this.MenuGC_STarifs; }
Profil.prototype.isMenuGC_SFabrication = function() { return this.MenuGC_SFabrication; }
Profil.prototype.isMenuGC_SInventaire = function() { return this.MenuGC_SInventaire; }
Profil.prototype.isMenuGC_STracabilite = function() { return this.MenuGC_STracabilite; }
Profil.prototype.isMenuGC_STransferts = function() { return this.MenuGC_STransferts; }
Profil.prototype.isMenuGC_SIOStocks = function() { return this.MenuGC_SIOStocks; }
Profil.prototype.isMenuGC_SParamStocks = function() { return this.MenuGC_SParamStocks; }
Profil.prototype.isMenuGC_SMouvements = function() { return this.MenuGC_SMouvements; }
Profil.prototype.isMenuGC_SEmplacements = function() { return this.MenuGC_SEmplacements; }
Profil.prototype.isMenuGC_STransEmp = function() { return this.MenuGC_STransEmp; }
Profil.prototype.isMenuGC_DRegFour = function() { return this.MenuGC_DRegFour; }
Profil.prototype.isMenuGC_DRegCli = function() { return this.MenuGC_DRegCli; }
Profil.prototype.isMenuGC_DRemises = function() { return this.MenuGC_DRemises; }
Profil.prototype.isMenuGC_DEditions = function() { return this.MenuGC_DEditions; }
Profil.prototype.isMenuGC_DTabBord = function() { return this.MenuGC_DTabBord; }
Profil.prototype.isMenuGC_DTransCpta = function() { return this.MenuGC_DTransCpta; }
Profil.prototype.isMenuGC_DExportIdep = function() { return this.MenuGC_DExportIdep; }
Profil.prototype.isMenuGC_DDeclEcoPart = function() { return this.MenuGC_DDeclEcoPart; }
Profil.prototype.isMenuGC_DImpExpCsv = function() { return this.MenuGC_DImpExpCsv; }
Profil.prototype.isMenuGC_DPassword = function() { return this.MenuGC_DPassword; }
Profil.prototype.isMenuCG_CSaisie = function() { return this.MenuCG_CSaisie; }
Profil.prototype.isMenuCG_CRevision = function() { return this.MenuCG_CRevision; }
Profil.prototype.isMenuCG_CTransCop = function() { return this.MenuCG_CTransCop; }
Profil.prototype.isMenuCG_CRappro = function() { return this.MenuCG_CRappro; }
Profil.prototype.isMenuCG_CClotMens = function() { return this.MenuCG_CClotMens; }
Profil.prototype.isMenuCG_CClotExo = function() { return this.MenuCG_CClotExo; }
Profil.prototype.isMenuCG_EBalance = function() { return this.MenuCG_EBalance; }
Profil.prototype.isMenuCG_ECentral = function() { return this.MenuCG_ECentral; }
Profil.prototype.isMenuCG_EGdLivre = function() { return this.MenuCG_EGdLivre; }
Profil.prototype.isMenuCG_EJournaux = function() { return this.MenuCG_EJournaux; }
Profil.prototype.isMenuCG_EBalAgee = function() { return this.MenuCG_EBalAgee; }
Profil.prototype.isMenuCG_EBilan = function() { return this.MenuCG_EBilan; }
Profil.prototype.isMenuCG_EResultat = function() { return this.MenuCG_EResultat; }
Profil.prototype.isMenuCG_ESoldes = function() { return this.MenuCG_ESoldes; }
Profil.prototype.isMenuCG_EPlanCpte = function() { return this.MenuCG_EPlanCpte; }
Profil.prototype.isMenuCG_SBordGest = function() { return this.MenuCG_SBordGest; }
Profil.prototype.isMenuCG_SBordTres = function() { return this.MenuCG_SBordTres; }
Profil.prototype.isMenuCG_AComptes = function() { return this.MenuCG_AComptes; }
Profil.prototype.isMenuCG_AGdLivre = function() { return this.MenuCG_AGdLivre; }
Profil.prototype.isMenuCG_AParametrages = function() { return this.MenuCG_AParametrages; }
Profil.prototype.isMenuCG_DComptes = function() { return this.MenuCG_DComptes; }
Profil.prototype.isMenuCG_DAboEcr = function() { return this.MenuCG_DAboEcr; }
Profil.prototype.isMenuCG_DModeles = function() { return this.MenuCG_DModeles; }
Profil.prototype.isMenuCG_DImpBanque = function() { return this.MenuCG_DImpBanque; }
Profil.prototype.isMenuCG_DImpExpEcr = function() { return this.MenuCG_DImpExpEcr; }
Profil.prototype.isMenuCG_DPassword = function() { return this.MenuCG_DPassword; }
Profil.prototype.isReadOnlyGC_SArticles = function() { return this.ReadOnlyGC_SArticles; }
Profil.prototype.isReadOnlyGC_VDevis = function() { return this.ReadOnlyGC_VDevis; }
Profil.prototype.isReadOnlyGC_VAffaires = function() { return this.ReadOnlyGC_VAffaires; }
Profil.prototype.isReadOnlyGC_TClients = function() { return this.ReadOnlyGC_TClients; }
Profil.prototype.isReadOnlyGC_SIOStocks = function() { return this.ReadOnlyGC_SIOStocks; }
Profil.prototype.isReadOnlyGC_DRegCli = function() { return this.ReadOnlyGC_DRegCli; }

